/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune

 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for MyocardialWallSegmentsInProjection
 */
public enum EnumCV_MyocardialWallSegmentsInProjection 
{
	LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT_T_32619("T-32619"),
	MYOCARDIUM_OF_ANTEROLATERAL_REGION_T_32634("T-32634"),
	MYOCARDIUM_OF_APEX_OF_HEART_T_32636("T-32636"),
	MYOCARDIUM_OF_DIAPHRAGMATIC_REGION_T_32632("T-32632"),
	LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT_T_32615("T-32615"),
	LEFT_VENTRICLE_BASAL_LATERAL_SEGMENT_T_32603("T-32603"),
	MYOCARDIUM_OF_POSTEROLATERAL_REGION_T_32633("T-32633"),
	MYOCARDIUM_OF_INFEROLATERAL_REGION_T_32637("T-32637"),
	LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT_T_32614("T-32614"),
	LEFT_VENTRICULAR_BASAL_SEPTAL_SEGMENT_T_32601("T-32601"),
	LEFT_VENTRICULAR_POSTEROBASAL_SEGMENT_R_101C0("R-101C0");

	private String value;

	EnumCV_MyocardialWallSegmentsInProjection(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
